﻿#content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#header {
    height: 75px;
    margin-top: 0;
}

#copyright {
    position: absolute;
    bottom: 0;
}

.public-logo {
    height: 60px;
}

.public-page {
    max-width: 75% !important;
}

.public-body {
    text-align: left;
    padding: 25px 10px 20px 30px;
    border-radius: 15px;
    box-shadow: 0 2px 5px 2px rgb(176 176 176 / 30%);
}

.public-body.confirmation {
    text-align: left;
    padding: 30px 0;
    display: flex;
}

.generate-codes {
    display: block !important;
    width: 800px !important;
}

.left-side-panel {
    width: 400px;
}


.right-side-panel {
    display: block;
}

.computer-image {
    width: 300px;
    margin-left: 25px;
    margin-right: 25px;
}

.alert-success {
    color: white;
    background-color: #af2067;
    margin-right: 20px;
}

.alert-warning {
    color: black;
    background-color: white;
    border: none;
    padding: 15px 15px 15px 0;
}

.row {
    margin-left: 0;
}

h4 {
    margin-top: 0;
    color: #af2067;
    padding-bottom: 30px;
    font-weight: 600;
}

.public-page fieldset .public-form-control {
    width: 335px;
    padding-right: 33px;
    height: 35px;
    padding-bottom: 12px;
}

.password-group {
    margin: 0;
}

#passwordInput {
    padding: 9px 11px;
    width: 335px;
    border: 1px solid #af2067;
    height: 35px;
}

.public-page .public-form-group {
    text-align: left;
    width: 335px;
}

#eye-regular img {
    top: 11px;
    height: 15px;
}

#eye-slash img {
    top: 6px;
    height: 18px;
}

.validation-summary-errors ul {
    list-style-type: none;
    padding: 0;
}


@media (max-width: 900px) {
    .generate-codes {
        width: 100% !important;
    }

    #header {
        height: 60px;
        margin-top: -60px;
    }

    .public-body {
        width: 100%;
        padding: 25px;
    }

    .public-body.confirmation {
        padding: 25px 20px;
    }

    .copyright-details {
        display: inline;
    }

    .list {
        display: block !important;
        width: 350px !important;
    }

    .mobile {
        display: none;
    }

    #header {
        display: block !important;
        margin-top: 0 !important;
    }

    .pink-background {
        width: 270px !important;
        margin-bottom: 10px;
    }

    .info {
        max-width: 290px !important;
    }

    .code-wrapper {
        justify-content: center;
        width: 290px;
    }

    #qrCode {
        margin-left: 60px;
    }
}

.public-form-control {
    border: 1px solid #af2067;
}

.btn-default:hover {
    background-color: #75174c !important;
    color: white !important;
    width: 130px !important;
    float: left !important;
    border-color: #af2067 !important;
    margin-right: 20px;
    font-size: 13px;
}

.btn-default {
    background-color: #af2067;
    color: white !important;
    width: 130px !important;
    float: left !important;
    border-color: #af2067;
    margin-right: 20px;
    font-size: 13px;
}

.save-codes {
    color: #af2067 !important;
}

code {
    color: #af2067 !important;
    font-size: 100%;
}

.footer-buttons {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.info-title {
    position: absolute;
    top: 3px;
    margin-left: 10px;
}

.authenticator-code {
    text-align: center;
    width: 400px;
    min-width: 300px;
}

.authentication-title {
    font-size: 28px;
    text-align: left;
}

.authorization {
    font-size: 26px;
}

.login-button {
    padding-bottom: 240px;
}

.authentication-info {
    color: black;
    font-weight: 400;
    text-align: left;
    font-size: 14px;
}

.checkbox {
    float: left;
}

.login:hover {
    background-color: #75174c !important;
    color: white !important;
    margin-top: 20px;
    width: 335px !important;
    height: 35px !important;
}

.login {
    background-color: #af2067;
    color: white !important;
    margin-top: 20px;
    width: 335px !important;
    height: 35px !important;
}

.login-recovery:hover {
    width: 335px !important;
    height: 35px !important;
}

.login-recovery {
    width: 335px !important;
    height: 35px !important;
}

.recovery-code-panel {
    margin-top: 100px;
}

.pink-panel {
    position: absolute;
    display: flex;
    flex-direction: column;
    right: 0;
    width: 405px;
    height: 100%;
    background-color: #af2067;
    color: white;
    gap: 1rem;
}

.login-forget {
    padding-bottom: 50px;
}

.page-form {
    margin-right: 140px !important;
    height: 570px !important;
}

.page-title {
    float: left;
}

.dropdown-toggle {
    background-color: white !important;
    color: black !important;
    margin-top: 20px !important;
}

.forgot-password {
    color: #13A4DE !important;
    font-size: 15px;
}

.recover-password {
    font-size: 13px;
    padding-right: 20px;
}

.pink-panel-title {
    color: white;
    font-size: 26px;
    position: relative;
    top: 5rem;
    width: 350px;
    text-align: center;
    margin-left: calc(50% - 175px);
}

.account-instructions {
    font-size: 15px;
    margin-top: 0 !important;
    margin-left: 25px !important;
    width: 350px;
}

.new-here {
    text-align: center;
    top: 2.5rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 350px;
    margin-left: calc(50% - 175px);
}

.new-here-instructions {
    display: flex;
    gap: 1rem;
    flex-direction: column;
}

.sign-up:hover {
    background-color: #ccc !important;
    color: #af2067 !important;
    width: 350px !important;
    margin-left: 25px !important;
    height: 35px !important;
}

.sign-up {
    background-color: white !important;
    color: #af2067 !important;
    width: 350px !important;
    margin-left: 25px !important;
    height: 35px !important;
}

@media only screen and (max-width: 376px) {

    #header {
        margin-bottom: 10px !important;
    }

    .two-factor {
        height: 85% !important;
    }

    .authentication-setup-title {
        padding-top: 25px !important;
        padding-bottom: 0 !important;
    }

    .computer-image {
        width: 65px !important;
        margin-left: calc(50% - 65px) !important;
        margin-bottom: 1px !important;
    }

    .login:hover {
        background-color: #75174c !important;
        color: white !important;
        margin-top: 20px;
        width: 300px !important;
        height: 35px !important;
    }
}

@media only screen and (max-width: 415px) {

    #header {
        display: block !important;
        margin-top: 0 !important;
    }

    .login-recovery:hover {
        width: 300px !important;
        height: 35px !important;
    }

    .login:hover {
        background-color: #75174c !important;
        color: white !important;
        margin-top: 20px;
        width: 300px !important;
        height: 35px !important;
    }

    .login-recovery {
        width: 300px !important;
        height: 35px !important;
    }

    .public-page {
        min-height: unset;
        justify-content: center;
        max-width: 350px !important;
        margin-right: auto;
        height: 85%;
        margin-bottom: 220px;
    }

    .two-factor {
        height: auto !important;
        margin-bottom: 200px;
    }

    .public-body {
        height: 100%;
    }

    .public-form-group {
        width: 300px !important;
        margin-top: 10px !important;
    }

    .authenticator-code {
        text-align: center;
        width: 350px;
        margin-bottom: 180px;
    }

    .recovery-login {
        margin-bottom: 0;
    }

    .authentication-title {
        font-size: 24px !important;
    }

    .authorization {
        font-size: 22px !important;
    }

    .page-title {
        float: left !important;
    }

    .login {
        width: 300px !important;
    }

    .list {
        display: block !important;
        width: 350px !important;
    }

    .mobile {
        display: none !important;
    }

    .info-section {
        max-width: 300px !important;
        padding-bottom: 20px;
    }

    .pink-background {
        width: 300px !important;
    }

    .computer-image {
        width: 150px;
        margin-left: 90px;
        margin-bottom: 20px;
    }

    .footer-buttons {
        width: 330px;
    }

    .code-wrapper {
        justify-content: center;
    }
}

.skip-or-setup {
    display: flex;
    max-width: 100% !important;
    position: relative;
}

.center-image {
    margin-left: 20px;
}

.authentication-image {
    width: 665px;
}

.instructions {
    display: flex;
    gap: 1rem;
    padding-top: 2rem;
}

.instructions-login {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding-top: 2rem;
}

.right {
    margin-right: 10px !important;
    margin-left: 10px !important;
    width: 750px;
    height: 500px;
}

.left {
    margin-right: 10px !important;
    margin-left: 10px !important;
    width: 750px;
    height: 500px;
}

.auth-info-title {
    font-size: 13px;
    color: #af2067;
}

.auth-description {
    margin-bottom: 40px;
    width: 100%;
}

.two-factor-description {
    color: black;
}

.image-description1 {
    color: black;
    width: 135px;
    margin-right: 70px;
    font-weight: 600;
    text-align: center;
    margin-left: 20px;
}

.image-description2 {
    color: black;
    width: 130px;
    margin-right: 80px;
    font-weight: 600;
    text-align: center;
}

.image-description3 {
    color: black;
    width: 188px;
    font-weight: 600;
    text-align: center;
}

.skip-or-setup-buttons {
    position: absolute;
    top: 520px;
    left: 50%;
    transform: translate(-50%, 0);
}

.not-now:hover {
    height: 40px !important;
    width: 275px !important;
}

.set-up:hover {
    height: 40px !important;
    width: 275px !important;
    background-color: #009900 !important;
    border-color: #009900 !important;
}

.not-now {
    width: 275px !important;
    height: 40px !important;
    line-height: 28px;
}

.set-up {
    width: 275px !important;
    background-color: #00b300 !important;
    border-color: #00b300 !important;
    height: 40px !important;
    line-height: 28px;
    margin-right: 0 !important;
}

.set-up2 {
    display: none;
}

input:focus {
    outline-color: #af2067;
}

.generate-codes-title {
    margin-left: 20px;
    padding-bottom: 0 !important;
}

.generate-codes-info {
    margin-left: 20px;
}

.generate-codes-button:hover {
    width: 200px !important;
    margin-left: calc(50% - 100px);
}

.generate-codes-button {
    width: 200px !important;
    margin-left: calc(50% - 100px);
}
.tfa-messages{
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.tfa-messages .form-group{
    margin-bottom: unset;
}
.tfa-messages  .login{
    margin-top: unset !important;
}
.flex-container{
    display: flex;
    flex-direction: column;
}
.terms-and-conditions-message{
    margin-right: 10px;
    text-align: initial;
    margin-top: 5px;
}
.terms-and-conditions-message a{
    color: #13A4DE ;
}
